Package: org.codehaus.groovy.bsf

## [Java] Class CachingGroovyEngine

- org.codehaus.groovy.bsf.CachingGroovyEngine

- A Caching implementation of the GroovyEngine

  Authors:
    James Birchfield

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyEngine` | `shell`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `eval(String source, int lineNo, int columnNo, Object script)` Evaluate an expression.
    `void` | `exec(String source, int lineNo, int columnNo, Object script)` Execute a script.
    `void` | `initialize(BSFManager mgr, String lang, Vector declaredBeans)` Initialize the engine.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyEngine` | `apply, call, declareBean, eval, exec, getEvalShell, initialize, undeclareBean`

- - ### Method Detail

    - #### public Object eval(String source, int lineNo, int columnNo, Object script)

      Evaluate an expression.

    - #### public void exec(String source, int lineNo, int columnNo, Object script)

      Execute a script.

    - #### public void initialize(BSFManager mgr, String lang, Vector declaredBeans)

      Initialize the engine.